Bug 12217 - clipping planes doesn't work well
clipping planes doesn't work well
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
Other Linux (All)
: medium normal
Assigned To: Zou Nan hai
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 20:37 UTC by Shuang He
Modified: 2009-08-24 12:27 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
test case (2.17 KB, application/octet-stream)
2007-08-29 20:38 UTC, Shuang He
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shuang He 2007-08-29 20:37:05 UTC
this issue happens on G965 GM965
define 6 user defined clip planes as follow:
GL_CLIP_PLANE0 x-25=0
GL_CLIP_PLANE1 -x+50=0
GL_CLIP_PLANE2 y-20=0
GL_CLIP_PLANE3 -y+60=0
GL_CLIP_PLANE4 z-0.2=0
GL_CLIP_PLANE5 -z+0.6=0
first enable CLIP_PLANE0, CLIP_PLANE1, CLIP_PLANE2 (with others disabled), draw a point at (10.5, 15.5, 0.1), this point should be clipped out, it does work well.

but then, disable CLIP_PLANE0, CLIP_PLANE1, CLIP_PLANE2, and enable CLIP_PLANE3
draw a point at (10.5, 15.5, 0.1), this point should not be clipped out. but it did clip it out.

this issue doesn't happen in non-DRI mode.
Comment 1 Shuang He 2007-08-29 20:38:34 UTC
Created attachment 11327 [details]
test case
Comment 2 Zou Nan hai 2007-09-24 01:56:50 UTC
fix in commit 439fa7957874d564b30a92345e74ee57b388ebec
Comment 3 Shuang He 2007-09-24 19:53:17 UTC
verified on both 32bit and 64bit
Comment 4 ajax at nwnk dot net 2009-08-24 12:27:55 UTC
Mass version move, cvs -> git